API ReferenceDay-ahead price (EU)
Forecast
get
/v4/price-day-ahead/forecastGet the day-ahead price forecast for a zone
Query Parameters
zone optional
An Electricity Maps zone key.
Example: "DK-DK2"
horizonHours optional
The number of hours ahead to forecast.
Default: 24
One of: 6, 24, 48, 72
temporalGranularity optional
The temporal granularity of the data to get.
Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly"
lat optional
Latitude of the location to get the data for.
Example: 41.877
lon optional
Longitude of the location to get the data for.
Example: -88.0703
disableCallerLookup optional
If true, the fallback IP-based zone lookup will not be performed.
Default: false
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/price-day-ahead/forecast"{ "zone": "string", "data": [ { "zone": "DK-DK2", "datetime": "2024-05-19T03:00:00.000Z", "createdAt": "2024-05-16T03:48:50.419Z", "updatedAt": "2025-07-25T12:32:42.039Z", "value": 100, "unit": "EUR/MWh", "source": "settled_and_published_price", "temporalGranularity": "hourly" } ]}Playground
get
/v4/price-day-ahead/forecastExplore the API with a 14-day trial.